fading = false;
fade-in-step = 0.2;
fade-out-step = 0.2;

#################################
#
# Shadows
#
#################################

# Enabled client-side shadows on windows.
shadow = true;
# The blur radius for shadows. (default 12)
shadow-radius = 18;
# The left offset for shadows. (default -15)
shadow-offset-x = -16;
# The top offset for shadows. (default -15)
shadow-offset-y = -16;
# The translucency for shadows. (default .75)
shadow-opacity = 0.45;

# Set if you want different colour shadows
# shadow-red = 0.0;
# shadow-green = 0.0;
# shadow-blue = 0.0;

# The shadow exclude options are helpful if you have shadows enabled. Due to the way compton draws its shadows, certain applications will have visual glitches
# (most applications are fine, only apps that do weird things with xshapes or argb are affected).
# This list includes all the affected apps I found in my testing. The "! name~=''" part excludes shadows on any "Unknown" windows, this prevents a visual glitch with the XFWM alt tab switcher.
shadow-exclude = [
    "! name~=''",
    "name = 'Notification'",
    "name = 'Plank'",
    "name = 'Docky'",
    "name = 'Kupfer'",
    "name = 'xfce4-notifyd'",
    "name *= 'VLC'",
    "name *= 'compton'",
    "name *= 'Chromium'",
    "name *= 'Chrome'",
    "name *= 'wrapper-2.0'",
    "class_g = 'firefoxdeveloperedition' && argb",
    "class_g = 'firefoxdeveloperedition' && window_type *= 'menu'",
    "class_g = 'Conky'",
    "class_g = 'Kupfer'",
    "class_g = 'Synapse'",
    "class_g ?= 'Notify-osd'",
    "class_g ?= 'Cairo-dock'",
    "class_g ?= 'Xfce4-notifyd'",
    "class_g ?= 'Xfce4-power-manager'",
    "_GTK_FRAME_EXTENTS@:c",
    "class_g = 'Peek'",
    "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'"
];

blur-background-exclude = [
    "! name~=''",
    "name = 'Notification'",
    "name = 'Plank'",
    "name = 'Docky'",
    "name = 'Kupfer'",
    "name = 'xfce4-notifyd'",
    "name *= 'VLC'",
    "name *= 'compton'",
    "name *= 'Chromium'",
    "name *= 'Chrome'",
    "name *= 'wrapper-2.0'",
    "class_g = 'firefoxdeveloperedition' && argb",
    "class_g = 'firefoxdeveloperedition' && window_type *= 'menu'",
    "class_g = 'Conky'",
    "class_g = 'Kupfer'",
    "class_g = 'Synapse'",
    "class_g ?= 'Notify-osd'",
    "class_g ?= 'Cairo-dock'",
    "class_g ?= 'Xfce4-notifyd'",
    "class_g ?= 'Xfce4-power-manager'",
    "_GTK_FRAME_EXTENTS@:c",
    "class_g = 'Peek'",
    "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'"
];

fade-exclude = [
    "class_g = 'Peek'"
];

focus-exclude = [
    "class_g = 'Peek'"
];

opacity-rule = [
    "99:class_g = 'Peek'"
];

# Avoid drawing shadow on all shaped windows (see also: --detect-rounded-corners)

unredir-if-possible = false;

wintypes:
{
    tooltip =
    {
        fade = false;
        shadow = false;
        opacity = 1;
        focus = true;
    };
    menu =
    {
        fade = false;
        shadow = false;
        opacity = 1;
        focus = true;
        blur-background = false;
    };
};

dropdown_menu = { shadow = false; };
popup_menu    = { shadow = false; };

blur-background = true;
blur-background-frame = true;
blur-background-fixed = true;
blur-kern = "7x7box";
blur-method = "kernel";

backend = "xrender";


glx-no-stencil = true;
glx-copy-from-front = false;
glx-no-rebind-pixmap = true;


